<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Mouse](./puppeteer.mouse.md) &gt; [move](./puppeteer.mouse.move.md)

## Mouse.move() method

Dispatches a `mousemove` event.

<b>Signature:</b>

```typescript
move(x: number, y: number, options?: {
        steps?: number;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  x | number | Horizontal position of the mouse. |
|  y | number | Vertical position of the mouse. |
|  options | { steps?: number; } | Optional object. If specified, the <code>steps</code> property sends intermediate <code>mousemove</code> events when set to <code>1</code> (default). |

<b>Returns:</b>

Promise&lt;void&gt;

